#ifndef I_GAME_H
#define I_GAME_H

#include "template.h"

#define SCRWIDTH	800
#define SCRHEIGHT	600

namespace Tmpl8 {

class Surface;
class vector3;
class Sprite;
class Game
{
public:
	void SetTarget( Surface* a_Surface ) { m_Surface = a_Surface; }
	void Init();
	void Transform();
	void Sort();
	void Render();
	void Shutdown() {};
	void Tick( float a_DT );
	void MouseUp( int a_Nr ) {}
	void MouseDown( int a_Nr ) {}
	void MouseMove( int a_X, int a_Y ) {}
	void KeyUp( int a_Key ) {}
	void KeyDown( int a_Key ) {}
private:
	Surface* m_Surface;
	Sprite* m_Dot;
	matrix m_Mat;
	float3* m_Points;
	float3* m_Rotated;
};

}; // namespace Tmpl8

#endif